#ifndef BOOT_H_
#define BOOT_H_

#include "global.h"

/*================================================================================================*/
#define BOOT_RESET_DELAY1_MS    100     /* Задержка перезагрузки (первый тайм, ответ на команду) */
#define BOOT_RESET_DELAY2_MS    300     /* Задержка перезагрузки (второй тайм, закрытие канала) */
#define BOOT_BOOTLD_TIMEOUT_MS  30000   /* Таймаут ожидания перепрошивки бутлоадером */

typedef enum
    {
    BOOT_RST_NONE = 0,
    BOOT_RST_NORMAL,
    BOOT_RST_BOOTLDR_USB,
    BOOT_RST_BOOTLDR_NET,
    }
    boot_rst_t;
/*================================================================================================*/

/*================================================================================================*/
/*------------------------------------------------------------------------------------------------*/
uint16_t boot_loader_version(void);
/*------------------------------------------------------------------------------------------------*/
void boot_schedule_reset(boot_rst_t rst_type);
/*------------------------------------------------------------------------------------------------*/
void boot_worker(void);
/*------------------------------------------------------------------------------------------------*/
/*================================================================================================*/

#endif /* BOOT_H_ */
